Package org.jbpm.workflow.instance.node

## Class DynamicUtils

- java.lang.Object
- - org.jbpm.workflow.instance.node.DynamicUtils

-     public class DynamicUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `addDynamicSubProcess​(DynamicNodeInstance dynamicContext, org.kie.api.runtime.KieRuntime ksession, String processId, Map<String,​Object> parameters)` |
    `static long` | `addDynamicSubProcess​(org.kie.api.runtime.process.ProcessInstance processInstance, org.kie.api.runtime.KieRuntime ksession, String processId, Map<String,​Object> parameters)` |
    `static void` | `addDynamicWorkItem​(DynamicNodeInstance dynamicContext, org.kie.api.runtime.KieRuntime ksession, String workItemName, Map<String,​Object> parameters)` |
    `static void` | `addDynamicWorkItem​(org.kie.api.runtime.process.ProcessInstance dynamicProcessInstance, org.kie.api.runtime.KieRuntime ksession, String workItemName, Map<String,​Object> parameters)` |
    `static long` | `internalAddDynamicSubProcess​(WorkflowProcessInstance processInstance, DynamicNodeInstance dynamicContext, org.kie.api.runtime.KieRuntime ksession, String processId, Map<String,​Object> parameters)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addDynamicWorkItem

          public static void addDynamicWorkItem​(DynamicNodeInstance dynamicContext,
                                                org.kie.api.runtime.KieRuntime ksession,
                                                String workItemName,
                                                Map<String,​Object> parameters)

    - #### addDynamicWorkItem

          public static void addDynamicWorkItem​(org.kie.api.runtime.process.ProcessInstance dynamicProcessInstance,
                                                org.kie.api.runtime.KieRuntime ksession,
                                                String workItemName,
                                                Map<String,​Object> parameters)

    - #### addDynamicSubProcess

          public static long addDynamicSubProcess​(DynamicNodeInstance dynamicContext,
                                                  org.kie.api.runtime.KieRuntime ksession,
                                                  String processId,
                                                  Map<String,​Object> parameters)

    - #### addDynamicSubProcess

          public static long addDynamicSubProcess​(org.kie.api.runtime.process.ProcessInstance processInstance,
                                                  org.kie.api.runtime.KieRuntime ksession,
                                                  String processId,
                                                  Map<String,​Object> parameters)

    - #### internalAddDynamicSubProcess

          public static long internalAddDynamicSubProcess​(WorkflowProcessInstance processInstance,
                                                          DynamicNodeInstance dynamicContext,
                                                          org.kie.api.runtime.KieRuntime ksession,
                                                          String processId,
                                                          Map<String,​Object> parameters)